# Uses of Class
javassist.bytecode.MethodInfo

Packages that use MethodInfo
Package
Description
javassist
The Javassist Core API.
javassist.bytecode
Bytecode-level API.
javassist.bytecode.analysis
Bytecode Analysis API.
javassist.expr
This package contains the classes for modifying a method body.

## Uses of MethodInfo in javassist

Methods in javassist that return MethodInfo
Modifier and Type
Method
Description
`MethodInfo`
CtBehavior.`getMethodInfo()`
Returns the `MethodInfo` representing this method/constructor in the class file.
`MethodInfo`
CtBehavior.`getMethodInfo2()`
Returns the `MethodInfo` representing the method/constructor in the class file (read only).
Methods in javassist with parameters of type MethodInfo
Modifier and Type
Method
Description
`static CtMethod`
CtMethod.`make(MethodInfo minfo, CtClass declaring)`
Creates a method from a `MethodInfo` object.

## Uses of MethodInfo in javassist.bytecode

Methods in javassist.bytecode that return MethodInfo
Modifier and Type
Method
Description
`MethodInfo`
ClassFile.`getMethod(String name)`
Returns the method with the specified name.
`MethodInfo`
ClassFile.`getStaticInitializer()`
Returns a static initializer (class initializer), or null if it does not exist.
Methods in javassist.bytecode that return types with arguments of type MethodInfo
Modifier and Type
Method
Description
`List<MethodInfo>`
ClassFile.`getMethods()`
Returns all the methods declared in the class.
Methods in javassist.bytecode with parameters of type MethodInfo
Modifier and Type
Method
Description
`void`
ClassFile.`addMethod(MethodInfo minfo)`
Appends a method to the class.
`final void`
ClassFile.`addMethod2(MethodInfo minfo)`
Just appends a method to the class.
Constructors in javassist.bytecode with parameters of type MethodInfo
Modifier
Constructor
Description
``
`BadBytecode(MethodInfo minfo, Throwable cause)`
``
`MethodInfo(ConstPool cp, String methodname, MethodInfo src, Map<String,String> classnameMap)`
Constructs a copy of `method_info` structure.

## Uses of MethodInfo in javassist.bytecode.analysis

Methods in javassist.bytecode.analysis with parameters of type MethodInfo
Modifier and Type
Method
Description
`Frame[]`
Analyzer.`analyze(CtClass clazz, MethodInfo method)`
Performs data-flow analysis on a method and returns an array, indexed by instruction position, containing the starting frame state of all reachable instructions.
`void`
Executor.`execute(MethodInfo method, int pos, CodeIterator iter, Frame frame, Subroutine subroutine)`
Execute the instruction, modeling the effects on the specified frame and subroutine.
`Subroutine[]`
SubroutineScanner.`scan(MethodInfo method)`
Constructors in javassist.bytecode.analysis with parameters of type MethodInfo
Modifier
Constructor
Description
``
`ControlFlow(CtClass ctclazz, MethodInfo minfo)`
Constructs a control-flow analyzer.

## Uses of MethodInfo in javassist.expr

Methods in javassist.expr with parameters of type MethodInfo
Modifier and Type
Method
Description
`boolean`
ExprEditor.`doit(CtClass clazz, MethodInfo minfo)`
Undocumented method.